
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>android sqlite使用之模糊查询数据库数据的三种方式 / iVAN</title>

    <meta name="description" content="android sqlite使用之模糊查询数据库数据的三种方式 android应用开发中常常需要记录一下数据,而在查询的时候如何实现模糊查询呢?很少有文章来做这样的介绍,所以这里简单的介绍下三种sqlite的模糊查询方式,直接上代码把: package com.example.utils; import java.util.ArrayList; import android.content.ContentValues; import android.content.Context; import android.database.Cursor; import">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">android sqlite使用之模糊查询数据库数据的三种方式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　android应用开发中常常需要记录一下数据，而在查询的时候如何实现模糊查询呢？很少有<a href="http://www.blogjava.net/qileilove/archive/2013/10/11/404852.html" rel="external nofollow noreferrer"><u><strong>文章</strong></u></a>来做这样的介绍，所以这里简单的介绍下三种sqlite的模糊查询方式，直接上代码把：</p>
<table>
<tbody>
<tr>
<td>
<br />package com.example.utils;</p>
<p>import <a href="http://www.blogjava.net/qileilove/archive/2013/10/11/404852.html" rel="external nofollow noreferrer"><u><strong>java</strong></u></a>.util.ArrayList;</p>
<p>import android.content.ContentValues;</p>
<p>import android.content.Context;</p>
<p>import android.database.Cursor;</p>
<p>import android.database.sqlite.SQLiteDatabase;</p>
<p>import android.database.sqlite.SQLiteOpenHelper;</p>
<p>import android.util.Log;</p>
<p>public class DBManage extends SQLiteOpenHelper {</p>
<p>static int init_version = 1;</p>
<p>static String database_name = "android_sqlite_test.db";</p>
<p>static String tab_name = "uer_log";</p>
<p>static String tab_field01 = "_id";</p>
<p>static String tab_field02 = "log_name";</p>
<p>SQLiteDatabase mDatabase;</p>
<p>public DBManage(Context context) {</p>
<p>super(context, database_name, null, init_version);</p>
<p>// TODO Auto-generated constructor stub</p>
<p>mDatabase = getWritableDatabase();</p>
<p>}</p>
<p>@Override</p>
<p>public void onCreate(SQLiteDatabase db) {</p>
<p>// TODO Auto-generated method stub</p>
<p>String <a href="http://www.blogjava.net/qileilove/archive/2013/10/11/404852.html" rel="external nofollow noreferrer"><u><strong>sql</strong></u></a> = "create table " + tab_name + " ( " + tab_field01</p>
<p>+ " integer primary key , " + tab_field02 + " text  not null) ";</p>
<p>db.execSQL(sql);</p>
<p>}</p>
<p>@Override</p>
<p>public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {</p>
<p>// TODO Auto-generated method stub</p>
<p>}</p>
<p>/**</p>
<p>* 插入记录</p>
<p>*</p>
<p>* @param u</p>
<p>* @return</p>
<p>*/</p>
<p>public boolean insertData(String... str) {</p>
<p>int request_int = 0;</p>
<p>for (int i = 0; i &lt; str.length; i++) {</p>
<p>// 实例化一个ContentValues 对象 ,作用，收集数据，方便于SQLite执行增，删，改，查</p>
<p>ContentValues contentValues = new ContentValues();</p>
<p>contentValues.put(tab_field02, str[i]);</p>
<p>mDatabase.insert(tab_name, null, contentValues);</p>
<p>request_int++;</p>
<p>}</p>
<p>return str.length == request_int;</p>
<p>}</p>
<p>// 根据条件模糊查询<a href="http://www.blogjava.net/qileilove/archive/2013/10/11/404852.html" rel="external nofollow noreferrer"><u><strong>数据库</strong></u></a>数据</p>
<p>public ArrayList&lt;String&gt; query(int top_int, String... str) {</p>
<p>ArrayList&lt;String&gt; result_list = new ArrayList&lt;String&gt;();</p>
<p>mDatabase = getReadableDatabase();</p>
<p>//模糊查询的三种方式：</p>
<p>/*</p>
<p>* 全部查询</p>
<p>String current_sql_sel = "SELECT  * FROM " + tab_name;</p>
<p>Cursor c = mDatabase.rawQuery(current_sql_sel, null);*/</p>
<p>//1.使用这种query方法%号前不能加' ;</p>
<p>Cursor c_test = mDatabase.query(tab_name, new String[]{tab_field02}, tab_field02+"  LIKE ? ",</p>
<p>new String[] { "%" + str[0] + "%" }, null, null, null);</p>
<p>//2.使用这种query方法%号前必须加'  ;</p>
<p>//  Cursor  c_test=mDatabase.query(tab_name, new String[]{tab_field02},tab_field02+"  like '%" + str[0] + "%'", null, null, null, null);</p>
<p>//3.使用这种方式必须在%号前加'  ;</p>
<p>String current_sql_sel = "SELECT  * FROM "+tab_name +" where "+tab_field02+" like '%"+str[0]+"%'";</p>
<p>//Cursor c_test = mDatabase.rawQuery(current_sql_sel, null);</p>
<p>Log.e("tag", "查询完成...");</p>
<p>while (c_test.moveToNext()) {</p>
<p>String name = c_test.getString(c_test.getColumnIndex(tab_field02));</p>
<p>//name.contains(str[0]);</p>
<p>// 让集合中的数据不重复;</p>
<p>if (!result_list.contains(name)) {</p>
<p>result_list.add(name);</p>
<p>Log.e("tag", name);</p>
<p>}</p>
<p>}</p>
<p>c_test.close();</p>
<p>return result_list;</p>
<p>}</p>
<p>}
</td>
</tr>
</tbody>
</table>
<p>　<strong>SQL模糊查询语句</strong></p>
<p>　　SQL模糊查询，使用like比较字，加上SQL里的通配符，请参考以下：</p>
<p>　　1、LIKE'Mc%' 将搜索以字母 Mc 开头的所有字符串（如 McBadden）。</p>
<p>　　2、LIKE'%inger' 将搜索以字母 inger 结尾的所有字符串（如 Ringer、Stringer）。</p>
<p>　　3、LIKE'%en%' 将搜索在任何位置包含字母 en 的所有字符串（如 Bennet、Green、McBadden）。</p>
<p>　　4、LIKE'_heryl' 将搜索以字母 heryl 结尾的所有六个字母的名称（如 Cheryl、Sheryl）。</p>
<p>　　5、LIKE'[CK]ars[eo]n' 将搜索下列字符串：Carsen、Karsen、Carson 和 Karson（如 Carson）。</p>
<p>　　6、LIKE'[M-Z]inger' 将搜索以字符串 inger 结尾、以从 M 到 Z 的任何单个字母开头的所有名称（如 Ringer）。</p>
<p>　　7、LIKE'M[^c]%' 将搜索以字母 M 开头，并且第二个字母不是 c 的所有名称（如MacFeather）。</p>
<p>　　下面这句查询字符串，根据变量 zipcode_key 在邮政编码表 zipcode 中查询对应的数据，这句是判断变量 zipcode_key 为非数字时的查询语句，用 % 来匹配任意长度的字符串，从表中地址、市、省三列中查询包含关键字的所有数据项，并按省、市、地址排序。这个例子比较简单，只要你理解了方法就可以写出更复杂的查询语句。</p>
<p>　　sql = "select * from zipcode where (address like'%" &amp; zipcode_key &amp; "%') or (city like'%" &amp; zipcode_key &amp; "%') or (province like'%" &amp; zipcode_key &amp; "%') order by province,city,address   </p>
<p>最新内容请见作者的GitHub页：http://qaseven.github.io/</p>
<p>   </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-09 03:26:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/database/" title="database">database</a>, <a href="https://www.iamivan.net/tag/static/" title="static">static</a>, <a href="https://www.iamivan.net/tag/sqlite/" title="sqlite">sqlite</a>, <a href="https://www.iamivan.net/tag/arraylist/" title="arraylist">arraylist</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>android sqlite使用之模糊查询数据库数据的三种方式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn86dOb.html" rel="bookmark">SpringMVC返回json数据的三种方式&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring MVC属于SpringFrameWork的后续产品,已经融合在Spring Web Flow里面.Spring 框架提供了构建 Web 应用程序的全功能 MVC 模块.使用 Spring 可插入的 MVC架构,从而在使用Spring进行WEB开发时,可以选择使用Spring的SpringMVC框架或集成其他MVC开发框架,如Struts1,Struts2等. 1.第一种方式是spring2时代的产物,也就是每个json视图controller配置一个Jsoniew. 如:&lt;bean			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkXyKp.html" rel="bookmark">iOS开发中UIWebView的加载本地数据的三种方式&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UIWebView是IOS内置的浏览器,可以浏览网页,打开文档 html/htm pdf docx txt等格式的文件. safari浏览器就是通过UIWebView做的. 服务器将MIME的标识符等放入传送的数据中告诉浏览器使用那种插件读取相关文件. uiwebview加载各种本地文件(通过loadData方法): UIWebView加载内容的三种方式: 1 加载本地数据文件 指定文件的MIMEType 编码格式使用@&quot;UTF-8&quot; 2加载html字符串(可以加载全部或者部分html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxgj9mb.html" rel="bookmark">ExtJS4&period;1：AJAX提交数据的三种方式，80&percnt;人都没用过第三种</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文 http://www.cnblogs.com/happyframework/archive/2013/04/27/3046810.html 参考资料 HTTP:https://zh.wikipedia.org/wiki/HTTP MIME:https://zh.wikipedia.org/wiki/MIME 国内博文:http://blog.csdn.net/gueter/article/details/1524447 第一种方式 示例代码 1 var data = { 2 name: '			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAlrdQb.html" rel="bookmark">一起谈&period;NET技术，ASP&period;NET MVC2中Controller向View传递数据的三种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Asp.net mvc开发中,Controller需要向View提供Model,然后View将此Model渲染成HTML.这篇文章介绍三种由Controller向View传递数据的方式,实现一个DropDownList的显示. 第一种:ViewData ViewData是一个Dictionary.使用非常简单,看下面代码: public ActionResult ViewDataWay(int id){ Book book =bookRepository.GetBook(id); ViewDa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP2rRDb.html" rel="bookmark">Android App实现监听软键盘按键的三种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 我们在Android手机上面有时候会遇到监听手机软键盘按键的时候,例如:我们在浏览器输入url完毕后可以点击软键盘右下角的&quot;Go&quot;按键加载url页面:在点击搜索框的时候,点击右下角的search符号键可以进行搜索:或者在全部数据输入完毕后,点击右下角的&quot;done&quot;就马上进行下一步操作. 效果图: function 1: 重写Activity的dispatchKeyEvent(KeyEvent event)方法,在其中监听KeyEventKey.KEYCODE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKoN5M.html" rel="bookmark">ASP&period;NET MVC2中Controller向View传递数据的三种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Asp.net mvc开发中,Controller需要向View提供Model,然后View将此 Model渲染成HTML.这篇文章介绍三种由Controller向View传递数据的方式,实现 一个DropDownList的显示. 第一种:ViewData ViewData是一个Dictionary.使用非常简单,看下面代码: 1 public ActionResult ViewDataWay(int id) 2 { 3 Book book =bookRepository.GetBook(id			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmYwYp.html" rel="bookmark">MySQL实现模糊查询&lpar;REGEXP&comma;LIKE&rpar;有2种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一是用LIKE/NOT LIKE, 二是用REGEXP/NOT REGEXP(或RLIKE/NOT RLIKE,它们是同义词). 第一种:标准的SQL模式匹配. 它有2种通配符:&quot;_&quot;和&quot;%&quot;.&quot;_&quot;匹配任意单个字符,而&quot;%&quot;匹配任意多个字符(包括0个). 举例如下:  代码如下 复制代码 SELECT * FROM table_name WHERE column_name LIKE 'm%'; #查询某字段中以﻿﻿﻿m或M开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyD1db.html" rel="bookmark">php访问查询mysql数据的三种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. $row = mysql_fetch_row($result); 返回一个规则的数组$row,$row[0]是第一个元素,$row[1]是第二个元素,依次类推... mysql_num_fields($result) 返回结果的元素个数. 2. $row = mysql_fetch_array($result); 返回一个数组$row. 举例如下: 表结构如下: username | password ------------------------------------- bourbo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk00k7z.html" rel="bookmark">php访问查询mysql数据的三种方法&lowbar;php基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. $row = mysql_fetch_row($result); 返回一个规则的数组$row,$row[0]是第一个元素,$row[1]是第二个元素,依次类推... mysql_num_fields($result) 返回结果的元素个数. 2. $row = mysql_fetch_array($result); 返回一个数组$row. 举例如下: 表结构如下: username | password ------------------------------------- bourbo			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQBNQM.html" rel="bookmark" class="title">git&sol;svn diff可视化工具配置</a>
					<div>
						 以前一直使用svn diff / git diff,看到的都是console下的对比提示. 今天花了点时间找了一款工具,基于GUI的diff操作.   软件 选择的是p4merge , 下载路径:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj2Pnb.html" rel="bookmark" class="title">JavaScript生成xml</a>
					<div>
						javascript|xml|生成xml JavaScript生成xml function XMLWriter(){    this.XML=[];    this.Nodes=[];    this ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Vm3b.html" rel="bookmark" class="title">Windows系统安全设置方法--初级安全篇</a>
					<div>
						1.物理安全 服务器应该安放在安装了监视器的隔离房间内,并且监视器要保留15天以上的摄像记录.另外,机箱,键盘,电脑桌抽屉要上锁,以确保旁人即使进入房间也无法使用电脑,钥匙要放在另外的安全的地方. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MW06jp.html" rel="bookmark" class="title">Statspack之初体验</a>
					<div>
						呵呵,今晚之前从来没有做过Statspack(好像有点丢人).这几天一个数据库实在被折磨得不行了,明明sga_max_size有1.5G,但是实际看整个实例才用了200+M内存,慢得要死,频繁读写硬盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZx7wM.html" rel="bookmark" class="title">asp&period;net 生成图片验证码</a>
					<div>
						asp.net|验证码 identifyingcode.aspx里没有内容略.identifyingcode.cs文件:using System;using System.Data;using Sys ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b23OrM.html" rel="bookmark" class="title">使用ADSI创建虚拟目录</a>
					<div>
						创建|虚拟目录 你曾经相通过VBS添加一个虚拟目录吗?(我想过~)自动建立ISAPI服务器扩展?或者建立一整个站点, 包括权限?你可以用ADSI做这些和更多的事情. ADSI (Active Dire ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo1XVp.html" rel="bookmark" class="title">大数据量下的分页</a>
					<div>
						分页|数据 对于非常大的数据模型而言,分页检索时,每次都加载整个数据源非常浪费.通常的选择是检索页面大小的块区的数据,而非检索所有的数据,然后单步执行当前行. 本文演示ASP.net的DataGrid ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxOqAb.html" rel="bookmark" class="title">用VC&plus;&plus;编写扫雷游戏</a>
					<div>
						首先分析扫雷的最基本功能. 点击鼠标左键于未知区域,如果未知区域有雷,游戏停止,显示所有的地雷.如果没雷,则显示周围雷数,如果周围没雷,则再查看周围八个区域是否有雷直到有雷为止并显示,这其实是一个递归 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRVgRz.html" rel="bookmark" class="title">使用Contest分析测试用例的代码覆盖率</a>
					<div>
						解决什么问题 问题的提出时这样的:对于测试人员来说,首先面临的问题就是无法度量测试用例的质量,如果测 试工程师花费大量时间写的测试用例不能有效地覆盖重要的实现代码,那么可以表明这样的测试用例不是优良的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnav4z.html" rel="bookmark" class="title">Delphi5的单元文件</a>
					<div>
						单元文件是Delphi程序中最重要的文件,它包含了程序中最主要的源代码,无论是窗体和组件的事件处理过程或单独的源代码都保存在单元文件中.对于初学者来说,Delphi的单元文件比较复杂.这里将对Delp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AXnap.html" rel="bookmark" class="title">ps笔刷怎么安装</a>
					<div>
						笔刷安装方法 photoshop怎么安装画笔   三联素材站内PS笔刷免费下载&gt;&gt; 网上有许多精彩的Photoshop笔刷供大家下载,可是有很多朋友还不太会用,下面我们就来看看怎么安装和使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PoV8M.html" rel="bookmark" class="title">2345智能浏览器多标签与多窗口设置</a>
					<div>
						方法一: 在菜单栏&quot;工具&quot;中选择&quot;切换到多窗口模式&quot;就可以快速进行转换. 方法二: 打开&quot;2345智能浏览器选项&quot;,在&quot;常规&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaG8Wz.html" rel="bookmark" class="title">Word文本框删不掉</a>
					<div>
						Word文档里面可以包含各种各种的对象,其中,有几种对象不是普通文字,比如图片.艺术字.文本框等,这些对象不是纯文本,在操作上,肯定与文本的操作有所不同! 下面,给大家介绍的这个问题是,Word里面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj9V5b.html" rel="bookmark" class="title">win8&comma;升级win8&period;1update</a>
					<div>
						  win8系统升级至win8.1update图文教程: 具体升级流程:Win8&gt;Win8.1&gt;Win8.1 Update,整个过程先后用到微软Win8商店.Windows Update等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e72Ab.html" rel="bookmark" class="title">不得不知的U盘启动模式</a>
					<div>
						  一.USB-HDD+:(占用1个扇区)增强的USB-HDD模式,DOS启动后显示C:盘,兼容性极高.其缺点在于对仅支持USB-ZIP的电脑无法启动. 电脑启动后首先读取此MBR,然后从指定的激活主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7VJgb.html" rel="bookmark" class="title">日志监控告警系统的设计与实现</a>
					<div>
						日志监控告警系统 基于的日志进行监控,监控需要一定规则,对触发监控规则的日志信息进行告警,告警的方式,是短信和邮件. log4j----&gt;error,info,debug 应用程序程序的日志   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Ak1xz.html" rel="bookmark" class="title">求教，关于属性set的迷惑</a>
					<div>
						问题描述 classA{privatestringname=刘德华;PrivatestringstrLoginid{set{value=name;//当我对此属性通过set访问器赋值的时候,发觉此代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKX6qb.html" rel="bookmark" class="title">div 背景图片读不出来</a>
					<div>
						问题描述 div 背景图片读不出来 划红线地方,读不出背景图片是什么原因,请问我这样设置路径有啥问题,正确的设置应该是怎样,求助 解决方案 尼玛,能不能别这么闹! 解决方案二: 你可以在浏览器的审查元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK9ROz.html" rel="bookmark" class="title">工控安全政策系列导读：信息安全技术 工业控制系统安全控制应用指南</a>
					<div>
						2016年8月29日,国家质量监督检验检疫总局.国家标准化管理委员会正式发布&lt;GB/T 32919 信息安全技术 工业控制系统安全控制应用指南&gt;.(http://www.bz.bzko.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg8kkb.html" rel="bookmark" class="title">MYsql 自动停止解决办法</a>
					<div>
						一直困扰我快半年的问题终于得到解决, 我公司服务器的mysql老是运行一段时间,自动停止了,必须手动启动. 我找偏网上所有的方法,但没有一个能解决,什么修改配置文件啊.定时启动.都没效果. 这个方法是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40D41z.html" rel="bookmark" class="title">卡巴斯基协助俄罗斯警方逮捕窃取4500万美元的黑客</a>
					<div>
						卡巴斯基实验室专家和俄罗斯最大的银行之一联邦储蓄银行同俄罗斯执法机关紧密配合,对名为Lurk的网络犯罪组织进行调查,最终逮捕了50名涉案人员.被捕人员涉嫌参与创建受感染的计算机网络,自2011年起,从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg5gob.html" rel="bookmark" class="title">警事处理及提醒</a>
					<div>
						[警事处理] @警民直通车·上海:11岁女孩张敏捡到了2.5元钱想交给警察叔叔,但妈妈觉得为这点钱没必要.在孩子的坚持下,最终还是把钱交给了派出所.也许,这些钱的确算不了什么,而在孩子心里,这意味着诚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zjgaz.html" rel="bookmark" class="title">【调研】大家写技术博客的初衷是什么</a>
					<div>
						问题描述 [调研]大家写技术博客的初衷是什么 最近在孵化一个新的项目,借此想了解一下大家写技术博客的初衷有哪些? 我个人能想到的可能就是以下几个方面: 工作中解决了一个具体的问题,然后写一篇博客记录下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB0WgM.html" rel="bookmark" class="title">德国核电厂遭扰乱性网络攻击</a>
					<div>
						国际原子能署(IAEA)主管天野之弥在本周一接受路透社采访时表示,德国一家核电厂在前几年曾遭受扰乱性的网络攻击. 天野之弥 扰乱性攻击一词泛指一切非破坏性攻击,比如2014年索尼影业数据泄露事件就属于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12am3p.html" rel="bookmark" class="title">button链接的问题</a>
					<div>
						问题描述 我想让button链接到一个邮箱现在我有一个textbox控件,在里面输入文本,是邮件中的文本内容;有一个Dropdownlist控件,选择邮箱名字;还有一个button按钮,链接邮箱.请问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22qNBb.html" rel="bookmark" class="title">让你的 PHP 7 更快</a>
					<div>
						PGO正如名字所说(Profile Guided Optimization 有兴趣的可以Google), 他需要用一些用例来获得反馈, 也就是说这个优化是需要和一个特定的场景绑定的. 你对一个场景的优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW9QRz.html" rel="bookmark" class="title">锐捷HPoE供电交换机：给梦一把梯子</a>
					<div>
						2015年6月,有&quot;中国最美高铁&quot;之称的合福高铁正式运行,它不仅为合肥及沿线城市的经济发展带来了拉动效应,更是美丽&quot;中国梦&quot;的一个缩影.合肥高铁南站作为合福高铁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2P1Qz.html" rel="bookmark" class="title">企业级HTML5产业联盟：安全标准纳入计划</a>
					<div>
						HTML5技术正在多层次.全方位渗透到移­­­­­动终端的各个层面,短短几年时间里得到了来自企业级应用越来越多的关注.然而,不可否认的是,HTML5在企业级的应用正处于初期发展阶段,各种标准尚待统一, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7147p.html" rel="bookmark" class="title">详解：为什么要注册BVI英属维尔京群岛公司</a>
					<div>
						* 英属维尔京群岛公司有什么特点? 「答」 (1) 注册和解散程序简单:(2) 实行授权资本制,资本金不需实缴:(3) 无须公开受益人:(4) 股东和董事不需要在公司注册处备案:(5) 法律无强制要求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWO78p.html" rel="bookmark" class="title">PHP中session变量的销毁&lowbar;php技巧</a>
					<div>
						1.何为session?相当于一个客户端(可以是浏览器.app.ftp等其他,而且同一个浏览器多开几个又算是不同的客户端)对服务器的一个访问,这个期间服务器为此建立一个唯一的标示(session_id ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.040 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
